##########################################################################
# έp (@)                                                            #
# Anderson et al., Statistics for Business & Economics (14th Edition)    #
# Chapter 13: Experimental Design and Analysis of Variance               #
# d~ ߬FvjǲέpǨt                                            #
# http://www.hmwu.idv.tw/                                                #
##########################################################################


##########################################################################
# 13.1 An introduction to experimental design and analysis of variance   #
##########################################################################

# Data Collection
# Assumptions for Analysis of Variance
# Analysis of Variance: A Conceptual Overview

##########################################################################
# 13.2 Analysis of variance and the completely randomized design         #
##########################################################################

# p.600
# In the Chemitech case, the employees would be instructed in how to
# perform the assembly method assigned to them and then would begin assembling the new
# filtration systems using that method
# m1 = mean number of units produced per week using method A
# H0: m1 = m2 = m3

Chemitech <- read_excel("data/chap13/Chemitech.xlsx")
Chemitech
Chemitech.df <- stack(Chemitech)
Chemitech.df
colnames(Chemitech.df) <- c("NoUnits", "Methods")
aov.result <- aov(NoUnits ~ Methods, data = Chemitech.df)
aov.result

# TABLE 13.3: Analysis of Variance Table for the Chemitech Experiment
summary(aov.result)



# p.611: National Computer Products Score
# NCP.xlsx
NCP <- read_excel("data/chap13/NCP.xlsx")
NCP




##########################################################################
# 13.3 Multiple comparison procedures                                    #
##########################################################################
 
# Fishers LSD

library(agricolae)
print(LSD.test(aov.result, trt = "Methods"))
LSD.test(aov.result, trt = "Methods", console = TRUE)


# Type I Error Rates
LSD.test(aov.result, trt = "Methods", console = TRUE, p.adj = "bonferroni")








